; hello.ftdi.44.io.asm
;
; control LED with pushbutton
;
; Code Created At FAB ACADEMY AS220
; by Shawn Wallace & Elliot Clapp
; Last Modified 03/20/2015  - Anders Haldin
; Permission granted for experimental and personal use;
; 
; The behavior is that the LED is always on – but when the button is pressed, it turns off.;
;
; Program explanation
;
; .device attiny44 	-- directive that defines which device to assemble for (an ATtiny44)
; .org 0		-- directive that sets the programs origin
; cbi DDRA, 3 		-- CBI(reg,bit): Clears a bit of a register. DDRA is a data direction register A, 
;			-- clearing DDRA bit 3 makes PA3 (pin 10) an input to monitor my pushbutton 
; sbi DDRA, 7 		-- SBI(reg,bit): Sets a bit of a register.  DDRA is a data direction register A
;			--Setting DDRA bit 7 makes PA7 (pin 6) an output to control my LED
; loop:			-- label (must start with a letter and end with a colon)
;	sbic PINA,3	-- SBIC will skip the next command if the bit is clear
;  	sbi PORTA,7	-- Sets a bit of a register
; 	sbis PINA,3	-- SBIS will skip the next command if a selected bit in a port is set
;  	cbi PORTA,7	-- Clears a bit of a register
; rjmp loop		-- relative jump to label called loop (notice no colon), use jmp for really long jumps
;

.device attiny44 ;target board
.org 0 			; point in program
cbi DDRA, 7 	; clear a bit of a register (cbi) DDRA look in data sheet for your pin(input pin) button.
				;output pin register
sbi DDRB, 2  	;set bit imideatly. LED

loop:
	sbic PINA, 7	;button
	sbi PORTB, 2 
	sbis PINA, 7
	cbi PORTB, 2
rjmp loop